package com.tools.device.devcheck.adapter

import android.content.Context
import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.tools.device.devcheck.databinding.ItemListBinding

class ListAdapter: RecyclerView.Adapter<ListAdapter.ListViewHolder>() {
    private lateinit var context: Context
    override fun onCreateViewHolder(
        parent: ViewGroup,
        viewType: Int
    ): ListViewHolder {
        context = parent.context
        val binding= ItemListBinding.inflate(LayoutInflater.from(context), parent, false)
        return ListViewHolder(binding)
    }

    override fun onBindViewHolder(
        holder: ListViewHolder,
        position: Int
    ) {

    }

    override fun getItemCount(): Int {
        return 3
    }

    class ListViewHolder(val binding: ItemListBinding): RecyclerView.ViewHolder(binding.root)
}